Index: /trunk/src/VBox/HostDrivers/Support/SUPDrv.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPDrv.cpp	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/SUPDrv.cpp	(revision 90780)
@@ -2027,5 +2027,5 @@
             REQ_CHECK_SIZES(SUP_IOCTL_SET_VM_FOR_FAST);
             REQ_CHECK_EXPR_FMT(     !pReq->u.In.pVMR0
-                               ||   (   VALID_PTR(pReq->u.In.pVMR0)
+                               ||   (   RT_VALID_PTR(pReq->u.In.pVMR0)
                                      && !((uintptr_t)pReq->u.In.pVMR0 & (PAGE_SIZE - 1))),
                                ("SUP_IOCTL_SET_VM_FOR_FAST: pVMR0=%p!\n", pReq->u.In.pVMR0));
@@ -3044,5 +3044,5 @@
      */
     AssertReturn(SUP_IS_SESSION_VALID(pSession), VERR_INVALID_PARAMETER);
-    AssertMsgReturn(VALID_PTR(pObj)&& pObj->u32Magic == SUPDRVOBJ_MAGIC,
+    AssertMsgReturn(RT_VALID_PTR(pObj) && pObj->u32Magic == SUPDRVOBJ_MAGIC,
                     ("Invalid pvObj=%p magic=%#x (expected %#x)\n", pvObj, pObj ? pObj->u32Magic : 0, SUPDRVOBJ_MAGIC),
                     VERR_INVALID_PARAMETER);
@@ -3152,5 +3152,5 @@
      */
     AssertReturn(SUP_IS_SESSION_VALID(pSession), VERR_INVALID_PARAMETER);
-    AssertMsgReturn(VALID_PTR(pObj) && pObj->u32Magic == SUPDRVOBJ_MAGIC,
+    AssertMsgReturn(RT_VALID_PTR(pObj) && pObj->u32Magic == SUPDRVOBJ_MAGIC,
                     ("Invalid pvObj=%p magic=%#x (exepcted %#x)\n", pvObj, pObj ? pObj->u32Magic : 0, SUPDRVOBJ_MAGIC),
                     VERR_INVALID_PARAMETER);
@@ -5223,5 +5223,5 @@
         return rc;
     }
-    Assert(VALID_PTR(pImage->pvImage) || RT_FAILURE(rc));
+    Assert(RT_VALID_PTR(pImage->pvImage) || RT_FAILURE(rc));
 
     /*
Index: /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/SUPDrvInternal.h	(revision 90780)
@@ -336,5 +336,5 @@
  */
 #define SUP_IS_SESSION_VALID(pSession)  \
-    (   VALID_PTR(pSession) \
+    (   RT_VALID_PTR(pSession) \
      && pSession->u32Cookie == BIRD_INV)
 
@@ -346,5 +346,5 @@
  */
 #define SUP_IS_DEVEXT_VALID(pDevExt) \
-    (   VALID_PTR(pDevExt)\
+    (   RT_VALID_PTR(pDevExt) \
      && pDevExt->u32Cookie == BIRD)
 
Index: /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/SUPLib.cpp	(revision 90780)
@@ -177,5 +177,5 @@
      *       initialized at this point.
      */
-    if (!VALID_PTR(pPreInitData))
+    if (!RT_VALID_PTR(pPreInitData))
         return VERR_INVALID_POINTER;
     if (g_fPreInited || g_cInits > 0)
Index: /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClient.c
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClient.c	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/SUPR0IdcClient.c	(revision 90780)
@@ -122,5 +122,5 @@
          * session and version values actually makes sense.
          */
-        if (    VALID_PTR(Req.u.Out.pSession)
+        if (    RT_VALID_PTR(Req.u.Out.pSession)
             &&  Req.u.Out.uSessionVersion >= uMinVersion
             &&  (Req.u.Out.uSessionVersion & UINT32_C(0xffff0000)) == (SUPDRV_IDC_VERSION & UINT32_C(0xffff0000)))
@@ -205,6 +205,6 @@
 {
     PSUPDRVIDCHANDLE pHandle = ASMAtomicUoReadPtrT(&g_pMainHandle, PSUPDRVIDCHANDLE);
-    if (    VALID_PTR(pHandle)
-        &&  pHandle->s.pSession == pSession)
+    if (   RT_VALID_PTR(pHandle)
+        && pHandle->s.pSession == pSession)
         return pHandle;
     return NULL;
Index: /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/SUPR3HardenedVerify.cpp	(revision 90780)
@@ -1051,5 +1051,5 @@
         {
             const char *pszMsg = va_arg(va,  const char *);
-            size_t cchMsg = VALID_PTR(pszMsg) ? suplibHardenedStrLen(pszMsg) : 0;
+            size_t cchMsg = RT_VALID_PTR(pszMsg) ? suplibHardenedStrLen(pszMsg) : 0;
             if (cchMsg >= cbErr)
                 cchMsg = cbErr - 1;
Index: /trunk/src/VBox/HostDrivers/Support/darwin/SUPDrv-darwin.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/darwin/SUPDrv-darwin.cpp	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/darwin/SUPDrv-darwin.cpp	(revision 90780)
@@ -956,5 +956,5 @@
      * Some quick validations.
      */
-    if (RT_UNLIKELY(!VALID_PTR(pReq)))
+    if (RT_UNLIKELY(!RT_VALID_PTR(pReq)))
         return VERR_INVALID_POINTER;
 
@@ -962,5 +962,5 @@
     if (pSession)
     {
-        if (RT_UNLIKELY(!VALID_PTR(pSession)))
+        if (RT_UNLIKELY(!RT_VALID_PTR(pSession)))
             return VERR_INVALID_PARAMETER;
         if (RT_UNLIKELY(pSession->pDevExt != &g_DevExt))
Index: /trunk/src/VBox/HostDrivers/Support/freebsd/SUPDrv-freebsd.c
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/freebsd/SUPDrv-freebsd.c	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/freebsd/SUPDrv-freebsd.c	(revision 90780)
@@ -476,5 +476,5 @@
      * Some quick validations.
      */
-    if (RT_UNLIKELY(!VALID_PTR(pReq)))
+    if (RT_UNLIKELY(!RT_VALID_PTR(pReq)))
         return VERR_INVALID_POINTER;
 
@@ -482,5 +482,5 @@
     if (pSession)
     {
-        if (RT_UNLIKELY(!VALID_PTR(pReq->pSession)))
+        if (RT_UNLIKELY(!RT_VALID_PTR(pReq->pSession)))
             return VERR_INVALID_PARAMETER;
         if (RT_UNLIKELY(pSession->pDevExt != &g_VBoxDrvFreeBSDDevExt))
Index: /trunk/src/VBox/HostDrivers/Support/linux/SUPDrv-linux.c
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/linux/SUPDrv-linux.c	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/linux/SUPDrv-linux.c	(revision 90780)
@@ -739,5 +739,5 @@
      * Some quick validations.
      */
-    if (RT_UNLIKELY(!VALID_PTR(pReq)))
+    if (RT_UNLIKELY(!RT_VALID_PTR(pReq)))
         return VERR_INVALID_POINTER;
 
@@ -745,5 +745,5 @@
     if (pSession)
     {
-        if (RT_UNLIKELY(!VALID_PTR(pSession)))
+        if (RT_UNLIKELY(!RT_VALID_PTR(pSession)))
             return VERR_INVALID_PARAMETER;
         if (RT_UNLIKELY(pSession->pDevExt != &g_DevExt))
Index: /trunk/src/VBox/HostDrivers/Support/solaris/SUPDrv-solaris.c
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/solaris/SUPDrv-solaris.c	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/solaris/SUPDrv-solaris.c	(revision 90780)
@@ -862,5 +862,5 @@
      * Some quick validations.
      */
-    if (RT_UNLIKELY(!VALID_PTR(pReq)))
+    if (RT_UNLIKELY(!RT_VALID_PTR(pReq)))
         return VERR_INVALID_POINTER;
 
@@ -868,5 +868,5 @@
     if (pSession)
     {
-        if (RT_UNLIKELY(!VALID_PTR(pSession)))
+        if (RT_UNLIKELY(!RT_VALID_PTR(pSession)))
             return VERR_INVALID_PARAMETER;
         if (RT_UNLIKELY(pSession->pDevExt != &g_DevExt))
Index: /trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp
===================================================================
--- /trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp	(revision 90779)
+++ /trunk/src/VBox/HostDrivers/Support/win/SUPDrv-win.cpp	(revision 90780)
@@ -1475,5 +1475,5 @@
         /* Verify the pDevExt in the session. */
         if (  pStack->Parameters.DeviceIoControl.IoControlCode != SUPDRV_IDC_REQ_CONNECT
-            ? VALID_PTR(pSession) && pSession->pDevExt == pDevExt
+            ? RT_VALID_PTR(pSession) && pSession->pDevExt == pDevExt
             : !pSession
            )