Index: trunk/src/VBox/HostDrivers/VBoxNetFlt/solaris/VBoxNetFltBow-solaris.c
===================================================================
--- trunk/src/VBox/HostDrivers/VBoxNetFlt/solaris/VBoxNetFltBow-solaris.c	(revision 90784)
+++ trunk/src/VBox/HostDrivers/VBoxNetFlt/solaris/VBoxNetFltBow-solaris.c	(revision 90785)
@@ -1434,5 +1434,5 @@
      */
     PVBOXNETFLTVNIC pVNIC = pvIfData;
-    AssertReturn(VALID_PTR(pVNIC), VERR_INVALID_POINTER);
+    AssertPtrReturn(pVNIC, VERR_INVALID_POINTER);
     AssertMsgReturn(pVNIC->u32Magic == VBOXNETFLTVNIC_MAGIC,
                     ("Invalid magic=%#x (expected %#x)\n", pVNIC->u32Magic, VBOXNETFLTVNIC_MAGIC),
Index: trunk/src/VBox/ImageMounter/vboximg-mount/vboximgCrypto.cpp
===================================================================
--- trunk/src/VBox/ImageMounter/vboximg-mount/vboximgCrypto.cpp	(revision 90784)
+++ trunk/src/VBox/ImageMounter/vboximg-mount/vboximgCrypto.cpp	(revision 90785)
@@ -294,5 +294,5 @@
     VDISKCRYPTOSETTINGS *pSettings = (VDISKCRYPTOSETTINGS *)pvUser;
     AssertPtrReturn(pSettings, VERR_GENERAL_FAILURE);
-    AssertReturn(VALID_PTR(pcbValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pcbValue, VERR_INVALID_POINTER);
 
     size_t cbValue = 0;
@@ -322,5 +322,5 @@
     VDISKCRYPTOSETTINGS *pSettings = (VDISKCRYPTOSETTINGS *)pvUser;
     AssertPtrReturn(pSettings, VERR_GENERAL_FAILURE);
-    AssertReturn(VALID_PTR(pszValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pszValue, VERR_INVALID_POINTER);
 
     const char *psz = NULL;
Index: trunk/src/VBox/Main/src-server/MediumImpl.cpp
===================================================================
--- trunk/src/VBox/Main/src-server/MediumImpl.cpp	(revision 90784)
+++ trunk/src/VBox/Main/src-server/MediumImpl.cpp	(revision 90785)
@@ -8088,5 +8088,5 @@
                                               size_t *pcbValue)
 {
-    AssertReturn(VALID_PTR(pcbValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pcbValue, VERR_INVALID_POINTER);
 
     Medium *that = static_cast<Medium*>(pvUser);
@@ -8112,5 +8112,5 @@
                                           size_t cchValue)
 {
-    AssertReturn(VALID_PTR(pszValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pszValue, VERR_INVALID_POINTER);
 
     Medium *that = static_cast<Medium*>(pvUser);
@@ -8146,5 +8146,5 @@
     MediumCryptoFilterSettings *pSettings = (MediumCryptoFilterSettings *)pvUser;
     AssertPtrReturn(pSettings, VERR_GENERAL_FAILURE);
-    AssertReturn(VALID_PTR(pcbValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pcbValue, VERR_INVALID_POINTER);
 
     size_t cbValue = 0;
@@ -8174,5 +8174,5 @@
     MediumCryptoFilterSettings *pSettings = (MediumCryptoFilterSettings *)pvUser;
     AssertPtrReturn(pSettings, VERR_GENERAL_FAILURE);
-    AssertReturn(VALID_PTR(pszValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pszValue, VERR_INVALID_POINTER);
 
     const char *psz = NULL;
Index: trunk/src/VBox/Storage/testcase/vbox-img.cpp
===================================================================
--- trunk/src/VBox/Storage/testcase/vbox-img.cpp	(revision 90784)
+++ trunk/src/VBox/Storage/testcase/vbox-img.cpp	(revision 90785)
@@ -1630,5 +1630,5 @@
 static DECLCALLBACK(int) vdIfCfgCreateBaseQuerySize(void *pvUser, const char *pszName, size_t *pcbValue)
 {
-    AssertReturn(VALID_PTR(pcbValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pcbValue, VERR_INVALID_POINTER);
 
     AssertPtrReturn(pvUser, VERR_GENERAL_FAILURE);
@@ -1644,5 +1644,5 @@
 static DECLCALLBACK(int) vdIfCfgCreateBaseQuery(void *pvUser, const char *pszName, char *pszValue, size_t cchValue)
 {
-    AssertReturn(VALID_PTR(pszValue), VERR_INVALID_POINTER);
+    AssertPtrReturn(pszValue, VERR_INVALID_POINTER);
 
     AssertPtrReturn(pvUser, VERR_GENERAL_FAILURE);
Index: trunk/src/VBox/VMM/VMMR3/VM.cpp
===================================================================
--- trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 90784)
+++ trunk/src/VBox/VMM/VMMR3/VM.cpp	(revision 90785)
@@ -1751,5 +1751,5 @@
     VM_ASSERT_VALID_EXT_RETURN(pVM, VERR_INVALID_VM_HANDLE);
     VM_ASSERT_OTHER_THREAD(pVM);
-    AssertReturn(VALID_PTR(pszFilename), VERR_INVALID_POINTER);
+    AssertPtrReturn(pszFilename, VERR_INVALID_POINTER);
     AssertReturn(*pszFilename, VERR_INVALID_PARAMETER);
     AssertPtrNullReturn(pfnProgress, VERR_INVALID_POINTER);