Index: trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.h	(revision 90901)
+++ trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.h	(revision 90902)
@@ -112,4 +112,5 @@
 
     UIDiskVariantGroupBox(bool fExpertMode, QWidget *pParent = 0);
+    /** Enable/disable medium variant radio button depending on the capabilities of the medium format. */
     void updateMediumVariantWidgetsAfterFormatChange(const CMediumFormat &mediumFormat);
     qulonglong mediumVariant() const;
Index: trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h	(revision 90901)
+++ trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.h	(revision 90902)
@@ -88,72 +88,75 @@
     const QString &machineGroup() const;
 
-    const QString &machineFilePath() const;
-    void setMachineFilePath(const QString &strMachineFilePath);
-
-    const QString &machineFolder() const;
-    void setMachineFolder(const QString &strMachineFolder);
-
-    const QString &machineBaseName() const;
-    void setMachineBaseName(const QString &strMachineBaseName);
-
-    const QString &createdMachineFolder() const;
-    void setCreatedMachineFolder(const QString &strCreatedMachineFolder);
-
-    const QString &detectedOSTypeId() const;
-    void setDetectedOSTypeId(const QString &strDetectedOSTypeId);
-
-    const QString &guestOSFamilyId() const;
-    void setGuestOSFamilyId(const QString &strGuestOSFamilyId);
-
-    const CGuestOSType &guestOSType() const;
-    void setGuestOSType(const CGuestOSType &guestOSType);
-
-    bool installGuestAdditions() const;
-    void setInstallGuestAdditions(bool fInstallGA);
-
-    bool startHeadless() const;
-    void setStartHeadless(bool fStartHeadless);
-
-    bool skipUnattendedInstall() const;
-    void setSkipUnattendedInstall(bool fSkipUnattendedInstall);
-
-    bool EFIEnabled() const;
-    void setEFIEnabled(bool fEnabled);
-
-    const QString &ISOFilePath() const;
-    void setISOFilePath(const QString &strISOFilePath);
-
-    const QString &userName() const;
-    void setUserName(const QString &strUserName);
-
-    const QString &password() const;
-    void setPassword(const QString &strPassword);
-
-    const QString &guestAdditionsISOPath() const;
-    void setGuestAdditionsISOPath(const QString &strGAISOPath);
-
-    const QString &hostnameDomainName() const;
-    void setHostnameDomainName(const QString &strHostnameDomainName);
-
-    const QString &productKey() const;
-    void setProductKey(const QString &productKey);
-
-    int CPUCount() const;
-    void setCPUCount(int iCPUCount);
-
-    int memorySize() const;
-    void setMemorySize(int iMemory);
-
-    qulonglong mediumVariant() const;
-    void setMediumVariant(qulonglong uMediumVariant);
-
-    const CMediumFormat &mediumFormat();
-    void setMediumFormat(const CMediumFormat &mediumFormat);
-
-    const QString &mediumPath() const;
-    void setMediumPath(const QString &strMediumPath);
-
-    qulonglong mediumSize() const;
-    void setMediumSize(qulonglong mediumSize);
+    /** @name Setter/getters for vm parameters
+     * @{ */
+       const QString &machineFilePath() const;
+       void setMachineFilePath(const QString &strMachineFilePath);
+
+       const QString &machineFolder() const;
+       void setMachineFolder(const QString &strMachineFolder);
+
+       const QString &machineBaseName() const;
+       void setMachineBaseName(const QString &strMachineBaseName);
+
+      const QString &createdMachineFolder() const;
+      void setCreatedMachineFolder(const QString &strCreatedMachineFolder);
+
+      const QString &detectedOSTypeId() const;
+      void setDetectedOSTypeId(const QString &strDetectedOSTypeId);
+
+      const QString &guestOSFamilyId() const;
+      void setGuestOSFamilyId(const QString &strGuestOSFamilyId);
+
+      const CGuestOSType &guestOSType() const;
+      void setGuestOSType(const CGuestOSType &guestOSType);
+
+      bool installGuestAdditions() const;
+      void setInstallGuestAdditions(bool fInstallGA);
+
+      bool startHeadless() const;
+      void setStartHeadless(bool fStartHeadless);
+
+      bool skipUnattendedInstall() const;
+      void setSkipUnattendedInstall(bool fSkipUnattendedInstall);
+
+      bool EFIEnabled() const;
+      void setEFIEnabled(bool fEnabled);
+
+      const QString &ISOFilePath() const;
+      void setISOFilePath(const QString &strISOFilePath);
+
+      const QString &userName() const;
+      void setUserName(const QString &strUserName);
+
+      const QString &password() const;
+      void setPassword(const QString &strPassword);
+
+      const QString &guestAdditionsISOPath() const;
+      void setGuestAdditionsISOPath(const QString &strGAISOPath);
+
+      const QString &hostnameDomainName() const;
+      void setHostnameDomainName(const QString &strHostnameDomainName);
+
+      const QString &productKey() const;
+      void setProductKey(const QString &productKey);
+
+      int CPUCount() const;
+      void setCPUCount(int iCPUCount);
+
+      int memorySize() const;
+      void setMemorySize(int iMemory);
+
+      qulonglong mediumVariant() const;
+      void setMediumVariant(qulonglong uMediumVariant);
+
+      const CMediumFormat &mediumFormat();
+      void setMediumFormat(const CMediumFormat &mediumFormat);
+
+      const QString &mediumPath() const;
+      void setMediumPath(const QString &strMediumPath);
+
+      qulonglong mediumSize() const;
+      void setMediumSize(qulonglong mediumSize);
+    /** @} */
 
 protected:
@@ -188,41 +191,41 @@
        int m_iUSBCount;
        mutable UIUnattendedInstallData m_unattendedInstallData;
+
+      /** Path of the ISO file attached to the new vm. Possibly used for the unattended install. */
+      QString m_strISOFilePath;
+
+      /** Path of the folder created by this wizard page. Used to remove previously created
+        *  folder. see cleanupMachineFolder();*/
+      QString m_strCreatedFolder;
+
+      /** Full path (including the file name) of the machine's configuration file. */
+      QString m_strMachineFilePath;
+      /** Path of the folder hosting the machine's configuration file. Generated from m_strMachineFilePath. */
+      QString m_strMachineFolder;
+      /** Base name of the machine is generated from the m_strMachineFilePath. */
+      QString m_strMachineBaseName;
+
+      /** Type Id od the OS detected from the ISO file by IUnattended. */
+      QString m_strDetectedOSTypeId;
+
+      /** Holds the VM OS family ID. */
+      QString  m_strGuestOSFamilyId;
+      /** Holds the VM OS type. */
+      CGuestOSType m_comGuestOSType;
+
+      /** True if guest additions are to be installed during unattended install. */
+      bool m_fInstallGuestAdditions;
+      bool m_fSkipUnattendedInstall;
+      bool m_fEFIEnabled;
+
+      int m_iCPUCount;
+      int m_iMemorySize;
+      int m_iUnattendedInstallPageIndex;
+
+      qulonglong m_uMediumVariant;
+      CMediumFormat m_comMediumFormat;
+      QString m_strMediumPath;
+      qulonglong m_uMediumSize;
     /** @} */
-
-    /** Path of the ISO file attached to the new vm. Possibly used for the unattended install. */
-    QString m_strISOFilePath;
-
-    /** Path of the folder created by this wizard page. Used to remove previously created
-     *  folder. see cleanupMachineFolder();*/
-    QString m_strCreatedFolder;
-
-    /** Full path (including the file name) of the machine's configuration file. */
-    QString m_strMachineFilePath;
-    /** Path of the folder hosting the machine's configuration file. Generated from m_strMachineFilePath. */
-    QString m_strMachineFolder;
-    /** Base name of the machine is generated from the m_strMachineFilePath. */
-    QString m_strMachineBaseName;
-
-    /** Type Id od the OS detected from the ISO file by IUnattended. */
-    QString m_strDetectedOSTypeId;
-
-    /** Holds the VM OS family ID. */
-    QString  m_strGuestOSFamilyId;
-    /** Holds the VM OS type. */
-    CGuestOSType m_comGuestOSType;
-
-    /** True if guest additions are to be installed during unattended install. */
-    bool m_fInstallGuestAdditions;
-    bool m_fSkipUnattendedInstall;
-    bool m_fEFIEnabled;
-
-    int m_iCPUCount;
-    int m_iMemorySize;
-    int m_iUnattendedInstallPageIndex;
-
-    qulonglong m_uMediumVariant;
-    CMediumFormat m_comMediumFormat;
-    QString m_strMediumPath;
-    qulonglong m_uMediumSize;
 };
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.cpp	(revision 90901)
+++ trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.cpp	(revision 90902)
@@ -332,9 +332,4 @@
 }
 
-void UIWizardNewVMDiskPageBasic::cleanupPage()
-{
-    //UIWizardPage::cleanupPage();
-}
-
 bool UIWizardNewVMDiskPageBasic::isComplete() const
 {
@@ -388,6 +383,4 @@
         }
     }
-
-    // startProcessing();
     if (pWizard)
     {
Index: trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.h	(revision 90901)
+++ trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPageBasic.h	(revision 90902)
@@ -23,5 +23,4 @@
 
 /* Qt includes: */
-#include <QVariant>
 #include <QSet>
 
@@ -86,5 +85,4 @@
     void createConnections();
     QWidget *createNewDiskWidgets();
-    void cleanupPage();
     void setEnableNewDiskWidgets(bool fEnable);
     QWidget *createDiskWidgets();
@@ -116,12 +114,13 @@
     /** @} */
 
-    SelectedDiskSource m_enmSelectedDiskSource;
-    bool m_fRecommendedNoDisk;
-
-    QSet<QString> m_userModifiedParameters;
-    bool m_fVDIFormatFound;
-    qulonglong m_uMediumSizeMin;
-    qulonglong m_uMediumSizeMax;
-
+    /** @name Variables
+     * @{ */
+      SelectedDiskSource m_enmSelectedDiskSource;
+      bool m_fRecommendedNoDisk;
+      QSet<QString> m_userModifiedParameters;
+      bool m_fVDIFormatFound;
+      qulonglong m_uMediumSizeMin;
+      qulonglong m_uMediumSizeMax;
+    /** @} */
 };
 