Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 91100)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 91102)
@@ -61,5 +61,5 @@
 {
     createMessage(
-        QApplication::translate("UIMessageCenter", "Can't fina help file ..."),
+        QApplication::translate("UIMessageCenter", "Can't find help file ..."),
         QApplication::translate("UIMessageCenter", "Failed to find the following help file:")
                                                    .arg(strLocation));
@@ -74,4 +74,31 @@
                                                    "Make sure your desktop environment can properly handle URLs of this type.")
                                                    .arg(strUrl));
+}
+
+/* static */
+void UINotificationMessage::remindAboutBetaBuild()
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "BETA build warning!"),
+        QApplication::translate("UIMessageCenter", "You are running a prerelease version of VirtualBox. "
+                                                   "This version is not suitable for production use."));
+}
+
+/* static */
+void UINotificationMessage::remindAboutExperimentalBuild()
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Experimental build warning!"),
+        QApplication::translate("UIMessageCenter", "You are running an EXPERIMENTAL build of VirtualBox. "
+                                                   "This version is not suitable for production use."));
+}
+
+/* static */
+void UINotificationMessage::warnAboutInvalidEncryptionPassword(const QString &strPasswordId)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Invalid Password ..."),
+        QApplication::translate("UIMessageCenter", "Encryption password for <nobr>ID = '%1'</nobr> is invalid.")
+                                                   .arg(strPasswordId));
 }
 
@@ -91,17 +118,8 @@
 {
     createMessage(
-        QApplication::translate("UIMessageCenter", "Can't send ACPI ..."),
+        QApplication::translate("UIMessageCenter", "Can't send ACPI shutdown ..."),
         QApplication::translate("UIMessageCenter", "You are trying to shut down the guest with the ACPI power button. "
                                                    "This is currently not possible because the guest does not support "
                                                    "software shutdown."));
-}
-
-/* static */
-void UINotificationMessage::warnAboutInvalidEncryptionPassword(const QString &strPasswordId)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Invalid Password ..."),
-        QApplication::translate("UIMessageCenter", "Encryption password for <nobr>ID = '%1'</nobr> is invalid.")
-                                                   .arg(strPasswordId));
 }
 
@@ -130,19 +148,16 @@
 
 /* static */
-void UINotificationMessage::remindAboutBetaBuild()
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "BETA build warning!"),
-        QApplication::translate("UIMessageCenter", "You are running a prerelease version of VirtualBox. "
-                                                   "This version is not suitable for production use."));
-}
-
-/* static */
-void UINotificationMessage::remindAboutExperimentalBuild()
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Experimental build warning!"),
-        QApplication::translate("UIMessageCenter", "You are running an EXPERIMENTAL build of VirtualBox. "
-                                                   "This version is not suitable for production use."));
+void UINotificationMessage::remindAboutGuestAdditionsAreNotActive()
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "GA not active ..."),
+        QApplication::translate("UIMessageCenter", "<p>The VirtualBox Guest Additions do not appear to be available on this "
+                                                   "virtual machine, and shared folders cannot be used without them. To use "
+                                                   "shared folders inside the virtual machine, please install the Guest "
+                                                   "Additions if they are not installed, or re-install them if they are not "
+                                                   "working correctly, by selecting <b>Insert Guest Additions CD image</b> from "
+                                                   "the <b>Devices</b> menu. If they are installed but the machine is not yet "
+                                                   "fully started then shared folders will be available once it is.</p>"),
+        "remindAboutGuestAdditionsAreNotActive");
 }
 
@@ -219,19 +234,4 @@
 
 /* static */
-void UINotificationMessage::remindAboutGuestAdditionsAreNotActive()
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "GA not active ..."),
-        QApplication::translate("UIMessageCenter", "<p>The VirtualBox Guest Additions do not appear to be available on this "
-                                                   "virtual machine, and shared folders cannot be used without them. To use "
-                                                   "shared folders inside the virtual machine, please install the Guest "
-                                                   "Additions if they are not installed, or re-install them if they are not "
-                                                   "working correctly, by selecting <b>Insert Guest Additions CD image</b> from "
-                                                   "the <b>Devices</b> menu. If they are installed but the machine is not yet "
-                                                   "fully started then shared folders will be available once it is.</p>"),
-        "remindAboutGuestAdditionsAreNotActive");
-}
-
-/* static */
 void UINotificationMessage::cannotAcquireVirtualBoxParameter(const CVirtualBox &comVBox)
 {
@@ -267,68 +267,4 @@
         QApplication::translate("UIMessageCenter", "Failed to acquire snapshot parameter.") +
         UIErrorString::formatErrorInfo(comSnapshot));
-}
-
-/* static */
-void UINotificationMessage::cannotAttachUSBDevice(const CConsole &comConsole, const QString &strDevice)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't attach USB device ..."),
-        QApplication::translate("UIMessageCenter", "Failed to attach the USB device <b>%1</b> to the virtual machine <b>%2</b>.")
-                                .arg(strDevice, CConsole(comConsole).GetMachine().GetName()) +
-        UIErrorString::formatErrorInfo(comConsole));
-}
-
-/* static */
-void UINotificationMessage::cannotAttachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
-                                                  const QString &strDevice, const QString &strMachineName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't attach USB device ..."),
-        QApplication::translate("UIMessageCenter", "Failed to attach the USB device <b>%1</b> to the virtual machine <b>%2</b>.")
-                                .arg(strDevice, strMachineName) +
-        UIErrorString::formatErrorInfo(comErrorInfo));
-}
-
-/* static */
-void UINotificationMessage::cannotDetachUSBDevice(const CConsole &comConsole, const QString &strDevice)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't detach USB device ..."),
-        QApplication::translate("UIMessageCenter", "Failed to detach the USB device <b>%1</b> from the virtual machine <b>%2</b>.")
-                                .arg(strDevice, CConsole(comConsole).GetMachine().GetName()) +
-        UIErrorString::formatErrorInfo(comConsole));
-}
-
-/* static */
-void UINotificationMessage::cannotDetachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
-                                                  const QString &strDevice, const QString &strMachineName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't detach USB device ..."),
-        QApplication::translate("UIMessageCenter", "Failed to detach the USB device <b>%1</b> from the virtual machine <b>%2</b>.")
-                                .arg(strDevice, strMachineName) +
-        UIErrorString::formatErrorInfo(comErrorInfo));
-}
-
-/* static */
-void UINotificationMessage::cannotAttachWebCam(const CEmulatedUSB &comDispatcher,
-                                               const QString &strWebCamName, const QString &strMachineName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't attach webcam ..."),
-        QApplication::translate("UIMessageCenter", "Failed to attach the webcam <b>%1</b> to the virtual machine <b>%2</b>.")
-                                .arg(strWebCamName, strMachineName) +
-        UIErrorString::formatErrorInfo(comDispatcher));
-}
-
-/* static */
-void UINotificationMessage::cannotDetachWebCam(const CEmulatedUSB &comDispatcher,
-                                               const QString &strWebCamName, const QString &strMachineName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't detach webcam ..."),
-        QApplication::translate("UIMessageCenter", "Failed to detach the webcam <b>%1</b> from the virtual machine <b>%2</b>.")
-                                .arg(strWebCamName, strMachineName) +
-        UIErrorString::formatErrorInfo(comDispatcher));
 }
 
@@ -356,4 +292,14 @@
 
 /* static */
+void UINotificationMessage::cannotOpenMedium(const CVirtualBox &comVBox, const QString &strLocation)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't open medium ..."),
+        QApplication::translate("UIMessageCenter", "Failed to open the disk image file <nobr><b>%1</b></nobr>.")
+                                                   .arg(strLocation) +
+        UIErrorString::formatErrorInfo(comVBox));
+}
+
+/* static */
 void UINotificationMessage::cannotOpenMachine(const CVirtualBox &comVBox, const QString &strLocation)
 {
@@ -366,11 +312,65 @@
 
 /* static */
-void UINotificationMessage::cannotOpenMedium(const CVirtualBox &comVBox, const QString &strLocation)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't open medium ..."),
-        QApplication::translate("UIMessageCenter", "Failed to open the disk image file <nobr><b>%1</b></nobr>.")
-                                                   .arg(strLocation) +
-        UIErrorString::formatErrorInfo(comVBox));
+void UINotificationMessage::cannotAttachUSBDevice(const CConsole &comConsole, const QString &strDevice)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't attach USB device ..."),
+        QApplication::translate("UIMessageCenter", "Failed to attach the USB device <b>%1</b> to the virtual machine <b>%2</b>.")
+                                .arg(strDevice, CConsole(comConsole).GetMachine().GetName()) +
+        UIErrorString::formatErrorInfo(comConsole));
+}
+
+/* static */
+void UINotificationMessage::cannotAttachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
+                                                  const QString &strDevice, const QString &strMachineName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't attach USB device ..."),
+        QApplication::translate("UIMessageCenter", "Failed to attach the USB device <b>%1</b> to the virtual machine <b>%2</b>.")
+                                .arg(strDevice, strMachineName) +
+        UIErrorString::formatErrorInfo(comErrorInfo));
+}
+
+/* static */
+void UINotificationMessage::cannotDetachUSBDevice(const CConsole &comConsole, const QString &strDevice)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't detach USB device ..."),
+        QApplication::translate("UIMessageCenter", "Failed to detach the USB device <b>%1</b> from the virtual machine <b>%2</b>.")
+                                .arg(strDevice, CConsole(comConsole).GetMachine().GetName()) +
+        UIErrorString::formatErrorInfo(comConsole));
+}
+
+/* static */
+void UINotificationMessage::cannotDetachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
+                                                  const QString &strDevice, const QString &strMachineName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't detach USB device ..."),
+        QApplication::translate("UIMessageCenter", "Failed to detach the USB device <b>%1</b> from the virtual machine <b>%2</b>.")
+                                .arg(strDevice, strMachineName) +
+        UIErrorString::formatErrorInfo(comErrorInfo));
+}
+
+/* static */
+void UINotificationMessage::cannotAttachWebCam(const CEmulatedUSB &comDispatcher,
+                                               const QString &strWebCamName, const QString &strMachineName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't attach webcam ..."),
+        QApplication::translate("UIMessageCenter", "Failed to attach the webcam <b>%1</b> to the virtual machine <b>%2</b>.")
+                                .arg(strWebCamName, strMachineName) +
+        UIErrorString::formatErrorInfo(comDispatcher));
+}
+
+/* static */
+void UINotificationMessage::cannotDetachWebCam(const CEmulatedUSB &comDispatcher,
+                                               const QString &strWebCamName, const QString &strMachineName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't detach webcam ..."),
+        QApplication::translate("UIMessageCenter", "Failed to detach the webcam <b>%1</b> from the virtual machine <b>%2</b>.")
+                                .arg(strWebCamName, strMachineName) +
+        UIErrorString::formatErrorInfo(comDispatcher));
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 91100)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 91102)
@@ -61,127 +61,159 @@
 public:
 
-    /** Notifies about inability to find help file at certain @a strLocation. */
-    static void cannotFindHelpFile(const QString &strLocation);
-    /** Notifies about inability to open @a strUrl. */
-    static void cannotOpenURL(const QString &strUrl);
-    /** Notifies about inability to mount image.
-      * @param  strMachineName  Brings the machine name.
-      * @param  strMediumName   Brings the medium name. */
-    static void cannotMountImage(const QString &strMachineName, const QString &strMediumName);
-    /** Notifies about inability to send ACPI shutdown. */
-    static void cannotSendACPIToMachine();
-    /** Notifies about invalid encryption password.
-      * @param  strPasswordId  Brings password ID. */
-    static void warnAboutInvalidEncryptionPassword(const QString &strPasswordId);
-
-    /** Reminds about keyboard auto capturing. */
-    static void remindAboutAutoCapture();
-    /** Reminds about BETA build. */
-    static void remindAboutBetaBuild();
-    /** Reminds about BETA build. */
-    static void remindAboutExperimentalBuild();
-    /** Reminds about mouse integration.
-      * @param  fSupportsAbsolute  Brings whether mouse supports absolute pointing. */
-    static void remindAboutMouseIntegration(bool fSupportsAbsolute);
-    /** Reminds about paused VM input. */
-    static void remindAboutPausedVMInput();
-    /** Revokes message about paused VM input. */
-    static void forgetAboutPausedVMInput();
-    /** Reminds about wrong color depth.
-      * @param  uRealBPP    Brings real bit per pixel value.
-      * @param  uWantedBPP  Brings wanted bit per pixel value. */
-    static void remindAboutWrongColorDepth(ulong uRealBPP, ulong uWantedBPP);
-    /** Revokes message about wrong color depth. */
-    static void forgetAboutWrongColorDepth();
-    /** Reminds about GA not affected. */
-    static void remindAboutGuestAdditionsAreNotActive();
-
-    /** Notifies about inability to acquire IVirtualBox parameter.
-      * @param  comVBox  Brings the object paramter get acquired from. */
-    static void cannotAcquireVirtualBoxParameter(const CVirtualBox &comVBox);
-    /** Notifies about inability to acquire ISession parameter.
-      * @param  comSession  Brings the object paramter get acquired from. */
-    static void cannotAcquireSessionParameter(const CSession &comSession);
-    /** Notifies about inability to acquire IMachine parameter.
-      * @param  comSession  Brings the object paramter get acquired from. */
-    static void cannotAcquireMachineParameter(const CMachine &comMachine);
-    /** Notifies about inability to acquire ISnapshot parameter.
-      * @param  comSnapshot  Brings the object paramter get acquired from. */
-    static void cannotAcquireSnapshotParameter(const CSnapshot &comSnapshot);
-
-    /** Notifies about inability to attach USB device.
-      * @param  comConsole  Brings console USB device belongs to.
-      * @param  strDevice   Brings the device name. */
-    static void cannotAttachUSBDevice(const CConsole &comConsole, const QString &strDevice);
-    /** Notifies about inability to attach USB device.
-      * @param  comErrorInfo    Brings info about error happened.
-      * @param  strDevice       Brings the device name.
-      * @param  strMachineName  Brings the machine name. */
-    static void cannotAttachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
-                                      const QString &strDevice, const QString &strMachineName);
-    /** Notifies about inability to detach USB device.
-      * @param  comConsole  Brings console USB device belongs to.
-      * @param  strDevice   Brings the device name. */
-    static void cannotDetachUSBDevice(const CConsole &comConsole, const QString &strDevice);
-    /** Notifies about inability to detach USB device.
-      * @param  comErrorInfo    Brings info about error happened.
-      * @param  strDevice       Brings the device name.
-      * @param  strMachineName  Brings the machine name. */
-    static void cannotDetachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
-                                      const QString &strDevice, const QString &strMachineName);
-    /** Notifies about inability to attach webcam.
-      * @param  comDispatcher   Brings emulated USB dispatcher webcam being attached to.
-      * @param  strWebCamName   Brings the webcam name.
-      * @param  strMachineName  Brings the machine name. */
-    static void cannotAttachWebCam(const CEmulatedUSB &comDispatcher,
-                                   const QString &strWebCamName, const QString &strMachineName);
-    /** Notifies about inability to detach webcam.
-      * @param  comDispatcher   Brings emulated USB dispatcher webcam being detached from.
-      * @param  strWebCamName   Brings the webcam name.
-      * @param  strMachineName  Brings the machine name. */
-    static void cannotDetachWebCam(const CEmulatedUSB &comDispatcher,
-                                   const QString &strWebCamName, const QString &strMachineName);
-    /** Notifies about inability to enumerate host USB devices.
-      * @param  comHost  Brings the host devices enumerated for. */
-    static void cannotEnumerateHostUSBDevices(const CHost &comHost);
-    /** Notifies about inability to open machine.
-      * @param  comVBox      Brings common VBox object trying to open machine.
-      * @param  strLocation  Brings the machine location. */
-    static void cannotOpenMachine(const CVirtualBox &comVBox, const QString &strLocation);
-    /** Notifies about inability to open medium.
-      * @param  comVBox      Brings common VBox object trying to open medium.
-      * @param  strLocation  Brings the medium location. */
-    static void cannotOpenMedium(const CVirtualBox &comVBox, const QString &strLocation);
-    /** Notifies about inability to save machine settings.
-      * @param  comMachine  Brings the machine trying to save settings. */
-    static void cannotSaveMachineSettings(const CMachine &comMachine);
-    /** Notifies about inability to toggle audio input.
-      * @param  comAdapter      Brings the adapter input being toggled for.
-      * @param  strMachineName  Brings the machine name.
-      * @param  fEnable         Brings whether adapter input is enabled or not. */
-    static void cannotToggleAudioInput(const CAudioAdapter &comAdapter,
-                                       const QString &strMachineName, bool fEnable);
-    /** Notifies about inability to toggle audio output.
-      * @param  comAdapter      Brings the adapter output being toggled for.
-      * @param  strMachineName  Brings the machine name.
-      * @param  fEnable         Brings whether adapter output is enabled or not. */
-    static void cannotToggleAudioOutput(const CAudioAdapter &comAdapter,
-                                        const QString &strMachineName, bool fEnable);
-    /** Notifies about inability to toggle network cable.
-      * @param  comAdapter      Brings the adapter network cable being toggled for.
-      * @param  strMachineName  Brings the machine name.
-      * @param  fConnect        Brings whether network cable is connected or not. */
-    static void cannotToggleNetworkCable(const CNetworkAdapter &comAdapter,
-                                         const QString &strMachineName, bool fConnect);
-    /** Notifies about inability to toggle recording.
-      * @param  comMachine  Brings the machine recording being toggled for.
-      * @param  fEnable     Brings whether recording is enabled or not. */
-    static void cannotToggleRecording(const CMachine &comMachine, bool fEnable);
-    /** Notifies about inability to toggle VRDE server.
-      * @param  comServer       Brings the server being toggled.
-      * @param  strMachineName  Brings the machine name.
-      * @param  fEnable         Brings whether server is enabled or not. */
-    static void cannotToggleVRDEServer(const CVRDEServer &comServer,
-                                       const QString &strMachineName, bool fEnable);
+    /** @name Simple general warnings.
+      * @{ */
+        /** Notifies about inability to find help file at certain @a strLocation. */
+        static void cannotFindHelpFile(const QString &strLocation);
+
+        /** Notifies about inability to open @a strUrl. */
+        static void cannotOpenURL(const QString &strUrl);
+
+        /** Reminds about BETA build. */
+        static void remindAboutBetaBuild();
+        /** Reminds about BETA build. */
+        static void remindAboutExperimentalBuild();
+        /** Notifies about invalid encryption password.
+          * @param  strPasswordId  Brings password ID. */
+        static void warnAboutInvalidEncryptionPassword(const QString &strPasswordId);
+    /** @} */
+
+
+    /** @name Simple Runtime UI warnings.
+      * @{ */
+        /** Notifies about inability to mount image.
+          * @param  strMachineName  Brings the machine name.
+          * @param  strMediumName   Brings the medium name. */
+        static void cannotMountImage(const QString &strMachineName, const QString &strMediumName);
+
+        /** Notifies about inability to send ACPI shutdown. */
+        static void cannotSendACPIToMachine();
+
+        /** Reminds about keyboard auto capturing. */
+        static void remindAboutAutoCapture();
+
+        /** Reminds about GA not affected. */
+        static void remindAboutGuestAdditionsAreNotActive();
+
+        /** Reminds about mouse integration.
+          * @param  fSupportsAbsolute  Brings whether mouse supports absolute pointing. */
+        static void remindAboutMouseIntegration(bool fSupportsAbsolute);
+
+        /** Reminds about paused VM input. */
+        static void remindAboutPausedVMInput();
+        /** Revokes message about paused VM input. */
+        static void forgetAboutPausedVMInput();
+
+        /** Reminds about wrong color depth.
+          * @param  uRealBPP    Brings real bit per pixel value.
+          * @param  uWantedBPP  Brings wanted bit per pixel value. */
+        static void remindAboutWrongColorDepth(ulong uRealBPP, ulong uWantedBPP);
+        /** Revokes message about wrong color depth. */
+        static void forgetAboutWrongColorDepth();
+    /** @} */
+
+    /** @name COM general warnings.
+      * @{ */
+        /** Notifies about inability to acquire IVirtualBox parameter.
+          * @param  comVBox  Brings the object paramter get acquired from. */
+        static void cannotAcquireVirtualBoxParameter(const CVirtualBox &comVBox);
+        /** Notifies about inability to acquire ISession parameter.
+          * @param  comSession  Brings the object paramter get acquired from. */
+        static void cannotAcquireSessionParameter(const CSession &comSession);
+        /** Notifies about inability to acquire IMachine parameter.
+          * @param  comSession  Brings the object paramter get acquired from. */
+        static void cannotAcquireMachineParameter(const CMachine &comMachine);
+        /** Notifies about inability to acquire ISnapshot parameter.
+          * @param  comSnapshot  Brings the object paramter get acquired from. */
+        static void cannotAcquireSnapshotParameter(const CSnapshot &comSnapshot);
+
+        /** Notifies about inability to enumerate host USB devices.
+          * @param  comHost  Brings the host devices enumerated for. */
+        static void cannotEnumerateHostUSBDevices(const CHost &comHost);
+        /** Notifies about inability to open medium.
+          * @param  comVBox      Brings common VBox object trying to open medium.
+          * @param  strLocation  Brings the medium location. */
+        static void cannotOpenMedium(const CVirtualBox &comVBox, const QString &strLocation);
+    /** @} */
+
+    /** @name COM VirtualBox Manager warnings.
+      * @{ */
+        /** Notifies about inability to open machine.
+          * @param  comVBox      Brings common VBox object trying to open machine.
+          * @param  strLocation  Brings the machine location. */
+        static void cannotOpenMachine(const CVirtualBox &comVBox, const QString &strLocation);
+    /** @} */
+
+    /** @name COM Runtime UI warnings.
+      * @{ */
+        /** Notifies about inability to attach USB device.
+          * @param  comConsole  Brings console USB device belongs to.
+          * @param  strDevice   Brings the device name. */
+        static void cannotAttachUSBDevice(const CConsole &comConsole, const QString &strDevice);
+        /** Notifies about inability to attach USB device.
+          * @param  comErrorInfo    Brings info about error happened.
+          * @param  strDevice       Brings the device name.
+          * @param  strMachineName  Brings the machine name. */
+        static void cannotAttachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
+                                          const QString &strDevice, const QString &strMachineName);
+        /** Notifies about inability to detach USB device.
+          * @param  comConsole  Brings console USB device belongs to.
+          * @param  strDevice   Brings the device name. */
+        static void cannotDetachUSBDevice(const CConsole &comConsole, const QString &strDevice);
+        /** Notifies about inability to detach USB device.
+          * @param  comErrorInfo    Brings info about error happened.
+          * @param  strDevice       Brings the device name.
+          * @param  strMachineName  Brings the machine name. */
+        static void cannotDetachUSBDevice(const CVirtualBoxErrorInfo &comErrorInfo,
+                                          const QString &strDevice, const QString &strMachineName);
+
+        /** Notifies about inability to attach webcam.
+          * @param  comDispatcher   Brings emulated USB dispatcher webcam being attached to.
+          * @param  strWebCamName   Brings the webcam name.
+          * @param  strMachineName  Brings the machine name. */
+        static void cannotAttachWebCam(const CEmulatedUSB &comDispatcher,
+                                       const QString &strWebCamName, const QString &strMachineName);
+        /** Notifies about inability to detach webcam.
+          * @param  comDispatcher   Brings emulated USB dispatcher webcam being detached from.
+          * @param  strWebCamName   Brings the webcam name.
+          * @param  strMachineName  Brings the machine name. */
+        static void cannotDetachWebCam(const CEmulatedUSB &comDispatcher,
+                                       const QString &strWebCamName, const QString &strMachineName);
+
+        /** Notifies about inability to save machine settings.
+          * @param  comMachine  Brings the machine trying to save settings. */
+        static void cannotSaveMachineSettings(const CMachine &comMachine);
+
+        /** Notifies about inability to toggle audio input.
+          * @param  comAdapter      Brings the adapter input being toggled for.
+          * @param  strMachineName  Brings the machine name.
+          * @param  fEnable         Brings whether adapter input is enabled or not. */
+        static void cannotToggleAudioInput(const CAudioAdapter &comAdapter,
+                                           const QString &strMachineName, bool fEnable);
+        /** Notifies about inability to toggle audio output.
+          * @param  comAdapter      Brings the adapter output being toggled for.
+          * @param  strMachineName  Brings the machine name.
+          * @param  fEnable         Brings whether adapter output is enabled or not. */
+        static void cannotToggleAudioOutput(const CAudioAdapter &comAdapter,
+                                            const QString &strMachineName, bool fEnable);
+
+        /** Notifies about inability to toggle network cable.
+          * @param  comAdapter      Brings the adapter network cable being toggled for.
+          * @param  strMachineName  Brings the machine name.
+          * @param  fConnect        Brings whether network cable is connected or not. */
+        static void cannotToggleNetworkCable(const CNetworkAdapter &comAdapter,
+                                             const QString &strMachineName, bool fConnect);
+
+        /** Notifies about inability to toggle recording.
+          * @param  comMachine  Brings the machine recording being toggled for.
+          * @param  fEnable     Brings whether recording is enabled or not. */
+        static void cannotToggleRecording(const CMachine &comMachine, bool fEnable);
+
+        /** Notifies about inability to toggle VRDE server.
+          * @param  comServer       Brings the server being toggled.
+          * @param  strMachineName  Brings the machine name.
+          * @param  fEnable         Brings whether server is enabled or not. */
+        static void cannotToggleVRDEServer(const CVRDEServer &comServer,
+                                           const QString &strMachineName, bool fEnable);
+    /** @} */
 
 protected: