Index: trunk/src/VBox/Frontends/VirtualBox/src/cloud/profilemanager/UICloudProfileManager.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/cloud/profilemanager/UICloudProfileManager.cpp	(revision 91148)
+++ trunk/src/VBox/Frontends/VirtualBox/src/cloud/profilemanager/UICloudProfileManager.cpp	(revision 91149)
@@ -35,4 +35,5 @@
 #include "UIIconPool.h"
 #include "UIMessageCenter.h"
+#include "UINotificationCenter.h"
 #include "UIVirtualBoxEventHandler.h"
 
@@ -286,5 +287,5 @@
             /* Show error message if necessary: */
             if (!comCloudProfile.isOk())
-                msgCenter().cannotAssignCloudProfileParameter(comCloudProfile, this);
+                UINotificationMessage::cannotChangeCloudProfileParameter(comCloudProfile);
             else
             {
@@ -302,5 +303,5 @@
                         if (!comCloudProfile.isOk())
                         {
-                            msgCenter().cannotAssignCloudProfileParameter(comCloudProfile, this);
+                            UINotificationMessage::cannotChangeCloudProfileParameter(comCloudProfile);
                             break;
                         }
@@ -316,5 +317,5 @@
                 /* Show error message if necessary: */
                 if (!comCloudProvider.isOk())
-                    msgCenter().cannotSaveCloudProfiles(comCloudProvider, this);
+                    UINotificationMessage::cannotSaveCloudProfiles(comCloudProvider);
             }
         }
@@ -363,5 +364,5 @@
         /* Show error message if necessary: */
         if (!comCloudProvider.isOk())
-            msgCenter().cannotCreateCloudProfile(comCloudProvider, this);
+            UINotificationMessage::cannotCreateCloudProfile(comCloudProvider);
         else
         {
@@ -370,5 +371,5 @@
             /* Show error message if necessary: */
             if (!comCloudProvider.isOk())
-                msgCenter().cannotSaveCloudProfiles(comCloudProvider, this);
+                UINotificationMessage::cannotSaveCloudProfiles(comCloudProvider);
         }
     }
@@ -398,5 +399,5 @@
         /* Show error message if necessary: */
         if (!comCloudProvider.isOk())
-            msgCenter().cannotImportCloudProfiles(comCloudProvider, this);
+            UINotificationMessage::cannotImportCloudProfiles(comCloudProvider);
     }
 }
@@ -434,5 +435,5 @@
             /* Show error message if necessary: */
             if (!comCloudProfile.isOk())
-                msgCenter().cannotRemoveCloudProfile(comCloudProfile, this);
+                UINotificationMessage::cannotRemoveCloudProfile(comCloudProfile);
             else
             {
@@ -441,5 +442,5 @@
                 /* Show error message if necessary: */
                 if (!comCloudProvider.isOk())
-                    msgCenter().cannotSaveCloudProfiles(comCloudProvider, this);
+                    UINotificationMessage::cannotSaveCloudProfiles(comCloudProvider);
             }
         }
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp	(revision 91148)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp	(revision 91149)
@@ -1388,11 +1388,4 @@
 }
 
-void UIMessageCenter::cannotAssignCloudProfileParameter(const CCloudProfile &comProfile, QWidget *pParent /* = 0 */) const
-{
-    error(pParent, MessageType_Error,
-          tr("Failed to assign cloud profile parameter."),
-          UIErrorString::formatErrorInfo(comProfile));
-}
-
 bool UIMessageCenter::cannotRestoreSnapshot(const CMachine &machine, const QString &strSnapshotName, const QString &strMachineName) const
 {
@@ -1411,32 +1404,4 @@
           UIErrorString::formatErrorInfo(progress));
     return false;
-}
-
-void UIMessageCenter::cannotCreateCloudProfile(const CCloudProvider &comProvider, QWidget *pParent /* = 0 */) const
-{
-    error(pParent, MessageType_Error,
-          tr("Failed to create cloud profile."),
-          UIErrorString::formatErrorInfo(comProvider));
-}
-
-void UIMessageCenter::cannotRemoveCloudProfile(const CCloudProfile &comProfile, QWidget *pParent /* = 0 */) const
-{
-    error(pParent, MessageType_Error,
-          tr("Failed to remove cloud profile."),
-          UIErrorString::formatErrorInfo(comProfile));
-}
-
-void UIMessageCenter::cannotSaveCloudProfiles(const CCloudProvider &comProvider, QWidget *pParent /* = 0 */) const
-{
-    error(pParent, MessageType_Error,
-          tr("Failed to save cloud profiles."),
-          UIErrorString::formatErrorInfo(comProvider));
-}
-
-void UIMessageCenter::cannotImportCloudProfiles(const CCloudProvider &comProvider, QWidget *pParent /* = 0 */) const
-{
-    error(pParent, MessageType_Error,
-          tr("Failed to import cloud profiles."),
-          UIErrorString::formatErrorInfo(comProvider));
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.h	(revision 91148)
+++ trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.h	(revision 91149)
@@ -381,5 +381,4 @@
         void cannotAcquireCloudProviderParameter(const CCloudProvider &comProvider, QWidget *pParent = 0) const;
         void cannotAcquireCloudProfileParameter(const CCloudProfile &comProfile, QWidget *pParent = 0) const;
-        void cannotAssignCloudProfileParameter(const CCloudProfile &comProfile, QWidget *pParent = 0) const;
     /** @} */
 
@@ -389,10 +388,4 @@
         bool cannotRestoreSnapshot(const CProgress &progress, const QString &strSnapshotName, const QString &strMachineName) const;
     /** @} */
-
-    /* API: Cloud Profile Manager warnings: */
-    void cannotCreateCloudProfile(const CCloudProvider &comProvider, QWidget *pParent = 0) const;
-    void cannotRemoveCloudProfile(const CCloudProfile &comProfile, QWidget *pParent = 0) const;
-    void cannotSaveCloudProfiles(const CCloudProvider &comProvider, QWidget *pParent = 0) const;
-    void cannotImportCloudProfiles(const CCloudProvider &comProvider, QWidget *pParent = 0) const;
 
     void cannotCreateCloudClient(const CCloudProfile &comProfile, QWidget *pParent = 0) const;
Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 91148)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.cpp	(revision 91149)
@@ -36,4 +36,6 @@
 /* COM includes: */
 #include "CAudioAdapter.h"
+#include "CCloudProfile.h"
+#include "CCloudProvider.h"
 #include "CConsole.h"
 #include "CDHCPServer.h"
@@ -585,4 +587,13 @@
 
 /* static */
+void UINotificationMessage::cannotChangeCloudProfileParameter(const CCloudProfile &comProfile)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Cloud profile failure ..."),
+        QApplication::translate("UIMessageCenter", "Failed to assign cloud profile parameter.") +
+        UIErrorString::formatErrorInfo(comProfile));
+}
+
+/* static */
 void UINotificationMessage::cannotEnumerateHostUSBDevices(const CHost &comHost)
 {
@@ -667,4 +678,24 @@
 
 /* static */
+void UINotificationMessage::cannotFindHostNetworkInterface(const CHost &comHost, const QString &strInterfaceName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't find host network interface ..."),
+        QApplication::translate("UIMessageCenter", "Unable to find the host network interface <b>%1</b>.")
+                                                   .arg(strInterfaceName) +
+        UIErrorString::formatErrorInfo(comHost));
+}
+
+/* static */
+void UINotificationMessage::cannotFindNATNetwork(const CVirtualBox &comVBox, const QString &strNetworkName)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't find NAT network ..."),
+        QApplication::translate("UIMessageCenter", "Unable to find the NAT network <b>%1</b>.")
+                                                   .arg(strNetworkName) +
+        UIErrorString::formatErrorInfo(comVBox));
+}
+
+/* static */
 void UINotificationMessage::cannotCreateDHCPServer(const CVirtualBox &comVBox, const QString &strInterfaceName)
 {
@@ -706,4 +737,40 @@
 
 /* static */
+void UINotificationMessage::cannotCreateCloudProfile(const CCloudProvider &comProvider)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't create cloud profile ..."),
+        QApplication::translate("UIMessageCenter", "Failed to create cloud profile.") +
+        UIErrorString::formatErrorInfo(comProvider));
+}
+
+/* static */
+void UINotificationMessage::cannotRemoveCloudProfile(const CCloudProfile &comProfile)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't remove cloud profile ..."),
+        QApplication::translate("UIMessageCenter", "Failed to remove cloud profile.") +
+        UIErrorString::formatErrorInfo(comProfile));
+}
+
+/* static */
+void UINotificationMessage::cannotSaveCloudProfiles(const CCloudProvider &comProvider)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't save cloud profiles ..."),
+        QApplication::translate("UIMessageCenter", "Failed to save cloud profiles.") +
+        UIErrorString::formatErrorInfo(comProvider));
+}
+
+/* static */
+void UINotificationMessage::cannotImportCloudProfiles(const CCloudProvider &comProvider)
+{
+    createMessage(
+        QApplication::translate("UIMessageCenter", "Can't import cloud profiles ..."),
+        QApplication::translate("UIMessageCenter", "Failed to import cloud profiles.") +
+        UIErrorString::formatErrorInfo(comProvider));
+}
+
+/* static */
 void UINotificationMessage::cannotCloseMedium(const CMedium &comMedium)
 {
@@ -756,24 +823,4 @@
                                                    .arg(strSnapshotName, strMachineName) +
         UIErrorString::formatErrorInfo(comSnapshot));
-}
-
-/* static */
-void UINotificationMessage::cannotFindHostNetworkInterface(const CHost &comHost, const QString &strInterfaceName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't find host network interface ..."),
-        QApplication::translate("UIMessageCenter", "Unable to find the host network interface <b>%1</b>.")
-                                                   .arg(strInterfaceName) +
-        UIErrorString::formatErrorInfo(comHost));
-}
-
-/* static */
-void UINotificationMessage::cannotFindNATNetwork(const CVirtualBox &comVBox, const QString &strNetworkName)
-{
-    createMessage(
-        QApplication::translate("UIMessageCenter", "Can't find NAT network ..."),
-        QApplication::translate("UIMessageCenter", "Unable to find the NAT network <b>%1</b>.")
-                                                   .arg(strNetworkName) +
-        UIErrorString::formatErrorInfo(comVBox));
 }
 
Index: trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h
===================================================================
--- trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 91148)
+++ trunk/src/VBox/Frontends/VirtualBox/src/notificationcenter/UINotificationObjects.h	(revision 91149)
@@ -233,4 +233,7 @@
           * @param  comNetwork  Brings the object parameter being changed for. */
         static void cannotChangeNATNetworkParameter(const CNATNetwork &comNetwork);
+        /** Notifies about inability to change ICloudProfile parameter.
+          * @param  comProfile  Brings the object parameter being changed for. */
+        static void cannotChangeCloudProfileParameter(const CCloudProfile &comProfile);
 
         /** Notifies about inability to enumerate host USB devices.
@@ -263,4 +266,13 @@
           * @param  strLocation  Brings the machine location. */
         static void cannotOpenMachine(const CVirtualBox &comVBox, const QString &strLocation);
+
+        /** Notifies about inability to find host network interface.
+          * @param  comHost  Brings the host being search through.
+          * @param  strInterfaceName  Brings interface name. */
+        static void cannotFindHostNetworkInterface(const CHost &comHost, const QString &strInterfaceName);
+        /** Notifies about inability to find NAT network.
+          * @param  comVBox         Brings common VBox object being search through.
+          * @param  strNetworkName  Brings network name. */
+        static void cannotFindNATNetwork(const CVirtualBox &comVBox, const QString &strNetworkName);
         /** Notifies about inability to create DHCP server.
           * @param  comVBox           Brings common VBox object trying to create DHCP server.
@@ -279,4 +291,17 @@
         static void cannotRemoveNATNetwork(const CVirtualBox &comVBox, const QString &strNetworkName);
 
+        /** Notifies about inability to create cloud profile.
+          * @param  comProvider  Brings the provider profile being created for. */
+        static void cannotCreateCloudProfile(const CCloudProvider &comProvider);
+        /** Notifies about inability to remove cloud profile.
+          * @param  comProvider  Brings the provider profile being removed from. */
+        static void cannotRemoveCloudProfile(const CCloudProfile &comProfile);
+        /** Notifies about inability to save cloud profiles.
+          * @param  comProvider  Brings the provider profiles being saved for. */
+        static void cannotSaveCloudProfiles(const CCloudProvider &comProvider);
+        /** Notifies about inability to import cloud profiles.
+          * @param  comProvider  Brings the provider profiles being imported for. */
+        static void cannotImportCloudProfiles(const CCloudProvider &comProvider);
+
         /** Notifies about inability to open machine.
           * @param  comMedium  Brings the medium being closed. */
@@ -299,13 +324,4 @@
           * @param  strMachineName   Brings machine name. */
         static void cannotChangeSnapshot(const CSnapshot &comSnapshot, const QString &strSnapshotName, const QString &strMachineName);
-
-        /** Notifies about inability to find host network interface.
-          * @param  comHost  Brings the host being search through.
-          * @param  strInterfaceName  Brings interface name. */
-        static void cannotFindHostNetworkInterface(const CHost &comHost, const QString &strInterfaceName);
-        /** Notifies about inability to find NAT network.
-          * @param  comVBox         Brings common VBox object being search through.
-          * @param  strNetworkName  Brings network name. */
-        static void cannotFindNATNetwork(const CVirtualBox &comVBox, const QString &strNetworkName);
     /** @} */
 