Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIBaseMemoryEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIBaseMemoryEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIBaseMemoryEditor.cpp	(revision 91218)
@@ -281,6 +281,14 @@
     if (m_pLabelMemoryMax)
         m_pLabelMemoryMax->setText(tr("%1 MB").arg(m_pSlider->maxRAM()));
+
+    QString strToolTip(tr("Specify the amount of RAM the virtual machine will have"));
+
     if (m_pSpinBox)
+    {
         m_pSpinBox->setSuffix(QString(" %1").arg(tr("MB")));
+        m_pSpinBox->setToolTip(strToolTip);
+    }
+    if (m_pSlider)
+        m_pSlider->setToolTip(strToolTip);
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UINameAndSystemEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UINameAndSystemEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UINameAndSystemEditor.cpp	(revision 91218)
@@ -308,13 +308,13 @@
 
     if (m_pPathSelector)
-        m_pPathSelector->setToolTip(tr("The folder hosting the virtual machine"));
+        m_pPathSelector->setToolTip(tr("Select the folder hosting the virtual machine."));
     if (m_pNameLineEdit)
-        m_pNameLineEdit->setToolTip(tr("The name of the virtual machine"));
+        m_pNameLineEdit->setToolTip(tr("Enter a name for the new virtual machine."));
 
     if (m_pComboFamily)
     {
-        m_pComboFamily->setWhatsThis(tr("Selects the operating system family that "
+        m_pComboFamily->setWhatsThis(tr("Select the operating system family that "
                                         "you plan to install into this virtual machine."));
-        m_pComboFamily->setToolTip(tr("Selects the operating system family that "
+        m_pComboFamily->setToolTip(tr("Select the operating system family that "
                                         "you plan to install into this virtual machine."));
     }
@@ -322,11 +322,13 @@
     if (m_pComboType)
     {
-        m_pComboType->setWhatsThis(tr("Selects the operating system type that "
+        m_pComboType->setWhatsThis(tr("Select the operating system type that "
                                       "you plan to install into this virtual machine "
                                       "(called a guest operating system)."));
-        m_pComboType->setToolTip(tr("Selects the operating system type that "
+        m_pComboType->setToolTip(tr("Select the operating system type that "
                                       "you plan to install into this virtual machine "
                                       "(called a guest operating system)."));
     }
+    if (m_pImageSelector)
+        m_pImageSelector->setToolTip(tr("Select an ISO image to be attached to the new virtual machine or used in attended install."));
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIVirtualCPUEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIVirtualCPUEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/editors/UIVirtualCPUEditor.cpp	(revision 91218)
@@ -65,4 +65,10 @@
     if (m_pLabelVCPUMax)
         m_pLabelVCPUMax->setText(tr("%1 CPUs", "%1 is host cpu count * 2 for now").arg(m_uMaxVCPUCount));
+
+    QString strToolTip(tr("Specify the number of virtual CPUs the virtual machine will have"));
+    if (m_pSlider)
+        m_pSlider->setToolTip(strToolTip);
+    if (m_pSpinBox)
+        m_pSpinBox->setToolTip(strToolTip);
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIApplianceImportEditorWidget.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIApplianceImportEditorWidget.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIApplianceImportEditorWidget.cpp	(revision 91218)
@@ -310,5 +310,5 @@
     {
         m_pImportHDsAsVDI->setText(tr("&Import hard drives as VDI"));
-        m_pImportHDsAsVDI->setToolTip(tr("When checked, all the hard drives that belong to this appliance will be imported in VDI format."));
+        m_pImportHDsAsVDI->setToolTip(tr("Import all the hard drives that belong to this appliance in VDI format."));
     }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIMediumSizeEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIMediumSizeEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/widgets/UIMediumSizeEditor.cpp	(revision 91218)
@@ -66,7 +66,4 @@
     m_enmSizeSuffix = UITranslator::parseSizeSuffix(m_pEditor->text());
     m_pEditor->blockSignals(false);
-
-    /* Update the tool-tips: */
-    updateSizeToolTips(m_uSize);
 }
 
@@ -80,7 +77,4 @@
     m_pSlider->setToolTip(tr("Holds the size of this medium."));
     m_pEditor->setToolTip(tr("Holds the size of this medium."));
-
-    /* Translate tool-tips: */
-    updateSizeToolTips(m_uSize);
 }
 
@@ -94,6 +88,4 @@
     m_enmSizeSuffix = UITranslator::parseSizeSuffix(m_pEditor->text());
     m_pEditor->blockSignals(false);
-    /* Update the tool-tips: */
-    updateSizeToolTips(m_uSize);
     /* Notify the listeners: */
     emit sigSizeChanged(m_uSize);
@@ -118,6 +110,4 @@
     m_pSlider->setValue(sizeMBToSlider(m_uSize, m_iSliderScale));
     m_pSlider->blockSignals(false);
-    /* Update the tool-tips: */
-    updateSizeToolTips(m_uSize);
     /* Notify the listeners: */
     emit sigSizeChanged(m_uSize);
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIHostnameDomainNameEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIHostnameDomainNameEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIHostnameDomainNameEditor.cpp	(revision 91218)
@@ -113,19 +113,12 @@
 void UIHostnameDomainNameEditor::retranslateUi()
 {
-    QString strHostnameTooltip(tr("Type the hostname which will be used in attended install:"));
-    QString strDomainTooltip(tr("The domain name"));
     if (m_pHostnameLabel)
-    {
         m_pHostnameLabel->setText(tr("Hostna&me:"));
-        m_pHostnameLabel->setToolTip(strHostnameTooltip);
-    }
     if (m_pHostnameLineEdit)
-        m_pHostnameLineEdit->setToolTip(strHostnameTooltip);
+        m_pHostnameLineEdit->setToolTip(tr("Type the hostname."));
     if (m_pDomainNameLabel)
-    {
         m_pDomainNameLabel->setText(tr("&Domain Name:"));
-        m_pDomainNameLabel->setToolTip(strDomainTooltip);
-    }
-    m_pDomainNameLineEdit->setToolTip(strDomainTooltip);
+    if (m_pDomainNameLineEdit)
+        m_pDomainNameLineEdit->setToolTip(tr("Enter the domain name."));
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIUserNamePasswordEditor.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIUserNamePasswordEditor.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIUserNamePasswordEditor.cpp	(revision 91218)
@@ -304,24 +304,15 @@
 void UIUserNamePasswordEditor::retranslateUi()
 {
-    QString strPassword = UIUserNamePasswordEditor::tr("Pass&word");
-    QString strRepeatPassword = UIUserNamePasswordEditor::tr("&Repeat Password");
-    QString strUsername = UIUserNamePasswordEditor::tr("U&sername");
+    QString strPassword = tr("Pass&word");
+    QString strRepeatPassword = tr("&Repeat Password");
+    QString strUsername = tr("U&sername");
     if (m_pUserNameLabel)
-    {
         m_pUserNameLabel->setText(QString("%1%2").arg(strUsername).arg(":"));
-        m_pUserNameLabel->setToolTip(UIUserNamePasswordEditor::tr("Type the user name which will be used in attended install:"));
-
-    }
+
     if (m_pPasswordLabel)
-    {
         m_pPasswordLabel->setText(QString("%1%2").arg(strPassword).arg(":"));
-        m_pPasswordLabel->setToolTip(UIUserNamePasswordEditor::tr("Type the password for the user name"));
-
-    }
+
     if (m_pPasswordRepeatLabel)
-    {
         m_pPasswordRepeatLabel->setText(QString("%1%2").arg(strRepeatPassword).arg(":"));
-        m_pPasswordRepeatLabel->setToolTip(UIUserNamePasswordEditor::tr("Retype the password:"));
-    }
 
     if (m_fShowPlaceholderText)
@@ -343,5 +334,11 @@
             m_pPasswordRepeatLineEdit->setPlaceholderText(QString());
     }
-    m_strPasswordError = UIUserNamePasswordEditor::tr("Invalid password pair");
+    if(m_pUserNameLineEdit)
+        m_pUserNameLineEdit->setToolTip(tr("Enter username."));
+    if (m_pPasswordLineEdit)
+        m_pPasswordLineEdit->setToolTip(tr("Enter password."));
+    if (m_pPasswordRepeatLineEdit)
+        m_pPasswordRepeatLineEdit->setToolTip(tr("Re-enter password."));
+    m_strPasswordError = tr("Invalid password pair");
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardCloneVMEditors.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardCloneVMEditors.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardCloneVMEditors.cpp	(revision 91218)
@@ -182,7 +182,7 @@
         m_pPathLabel->setText(tr("&Path:"));
     if (m_pNameLineEdit)
-        m_pNameLineEdit->setToolTip("The name of the new virtual machine");
+        m_pNameLineEdit->setToolTip("Enter a name for the new virtual machine.");
     if (m_pPathSelector)
-        m_pPathSelector->setToolTip("The location of the new virtual machine in host's storage.");
+        m_pPathSelector->setToolTip("Specify The location of the new virtual machine in host's storage.");
 }
 
@@ -321,5 +321,5 @@
 {
     m_pMACComboBoxLabel->setText(tr("MAC Address P&olicy:"));
-    m_pMACComboBox->setToolTip(tr("MAC address policy for clonning:"));
+    m_pMACComboBox->setToolTip(tr("Determine MAC address policy for clonning:"));
     for (int i = 0; i < m_pMACComboBox->count(); ++i)
     {
@@ -354,13 +354,12 @@
     if (m_pKeepDiskNamesCheckBox)
     {
-        m_pKeepDiskNamesCheckBox->setToolTip(tr("Don't change the disk names during cloning."));
+        m_pKeepDiskNamesCheckBox->setToolTip(tr("Enable keeping the disk names during cloning."));
         m_pKeepDiskNamesCheckBox->setText(tr("Keep &Disk Names"));
     }
     if (m_pKeepHWUUIDsCheckBox)
     {
-        m_pKeepHWUUIDsCheckBox->setToolTip(tr("Don't change hardware UUIDs during cloning."));
+        m_pKeepHWUUIDsCheckBox->setToolTip(tr("Enable keeping hardware UUIDs during cloning."));
         m_pKeepHWUUIDsCheckBox->setText(tr("Keep Hard&ware UUIDs"));
     }
-
 }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardDiskEditors.cpp	(revision 91218)
@@ -344,12 +344,10 @@
     {
         m_pFixedCheckBox->setText(tr("Pre-allocate &Full Size"));
-        m_pFixedCheckBox->setToolTip(tr("<p>When checked, the virtual disk image will be fully allocated at "
-                                                       "VM creation time, rather than being allocated dynamically at VM run-time.</p>"));
+        m_pFixedCheckBox->setToolTip(tr("<p>Allocate the virtual disk image during VM creation."));
     }
     if (m_pSplitBox)
     {
-        m_pSplitBox->setText(tr("&Split into files of less than 2GB"));
-        m_pSplitBox->setToolTip(tr("<p>Possible only for some hard disk file types. When checked the virtual disk file will "
-                                   "be splitted into 2GB parts in the host storage.</p>"));
+        m_pSplitBox->setText(tr("&Split into 2GB parts"));
+        m_pSplitBox->setToolTip(tr("<p>Split hard disk file into 2GB parts in the host storage.</p>"));
     }
 }
@@ -518,5 +516,5 @@
         setTitle(tr("Hard Disk File Location and Size"));
     if (m_pLocationOpenButton)
-        m_pLocationOpenButton->setToolTip(tr("Choose a location for new virtual hard disk file..."));
+        m_pLocationOpenButton->setToolTip(tr("Specify a location for new virtual hard disk file..."));
 
     if (!m_fExpertMode && m_pLocationLabel)
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardNewVMEditors.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardNewVMEditors.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/editors/UIWizardNewVMEditors.cpp	(revision 91218)
@@ -158,10 +158,10 @@
 {
     if (m_pGAISOFilePathSelector)
-        m_pGAISOFilePathSelector->setToolTip(UIWizardNewVM::tr("Please select an installation medium (ISO file)"));
+        m_pGAISOFilePathSelector->setToolTip(UIWizardNewVM::tr("Select an installation medium (ISO file) for the Guest Additions."));
     if (m_pGAISOPathLabel)
         m_pGAISOPathLabel->setText(UIWizardNewVM::tr("GA I&nstallation ISO:"));
     setTitle(UIWizardNewVM::tr("Gu&est Additions"));
-    setToolTip(UIWizardNewVM::tr("<p>When checked the guest additions will be installed "
-                                                                    "after the OS install.</p>"));
+    setToolTip(UIWizardNewVM::tr("<p>Enable installation of the guest additions  "
+                                 "after the guest OS install.</p>"));
 }
 
@@ -269,6 +269,6 @@
     {
         m_pStartHeadlessCheckBox->setText(UIWizardNewVM::tr("&Install in Background"));
-        m_pStartHeadlessCheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked, the newly created virtual machine will be started "
-                                                               "in headless mode (without a GUI) for the unattended guest OS install.</p>"));
+        m_pStartHeadlessCheckBox->setToolTip(UIWizardNewVM::tr("<p>Enable headless boot (with no GUI) of the newly created virtual machine "
+                                                               "for the unattended guest OS install.</p>"));
     }
 
@@ -283,4 +283,6 @@
         m_pHostnameDomainNameEditor->setFirstColumnWidth(iMaxWidth);
     }
+    if (m_pProductKeyLineEdit)
+        m_pProductKeyLineEdit->setToolTip(tr("Enter a product key."));
 }
 
@@ -396,7 +398,6 @@
     {
         m_pEFICheckBox->setText(UIWizardNewVM::tr("&Enable EFI (special OSes only)"));
-        m_pEFICheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked, the guest will support the "
-                                                       "Extended Firmware Interface (EFI), which is required to boot certain "
-                                                       "guest OSes. Non-EFI aware OSes will not be able to boot if this option is activated.</p>"));
+        m_pEFICheckBox->setToolTip(UIWizardNewVM::tr("<p>Enable Extended Firmware Interface (EFI), which is required to boot certain "
+                                                     "guest OSes. Non-EFI aware OSes will not be able to boot if this option is activated.</p>"));
     }
 }
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPage.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPage.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMDiskPage.cpp	(revision 91218)
@@ -224,6 +224,5 @@
     {
         m_pFixedCheckBox->setText(UIWizardNewVM::tr("Pre-allocate &Full Size"));
-        m_pFixedCheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked, the virtual disk image will be fully allocated at "
-                                                       "VM creation time, rather than being allocated dynamically at VM run-time.</p>"));
+        m_pFixedCheckBox->setToolTip(UIWizardNewVM::tr("<p>Allocate the virtual disk image at VM creation time"));
     }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMExpertPage.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMExpertPage.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMExpertPage.cpp	(revision 91218)
@@ -188,7 +188,5 @@
     {
         m_pSkipUnattendedCheckBox->setText(UIWizardNewVM::tr("&Skip Unattended Installation"));
-        m_pSkipUnattendedCheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked selected ISO file will be mounted to the CD "
-                                                                "drive of the virtual machine but the unattended installation "
-                                                                "will not start.</p>"));
+        m_pSkipUnattendedCheckBox->setToolTip(UIWizardNewVM::tr("<p>Disable the unattended install and just mount the ISO.</p>"));
     }
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMNameOSTypePage.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMNameOSTypePage.cpp	(revision 91217)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVMNameOSTypePage.cpp	(revision 91218)
@@ -401,7 +401,5 @@
     {
         m_pSkipUnattendedCheckBox->setText(UIWizardNewVM::tr("&Skip Unattended Installation"));
-        m_pSkipUnattendedCheckBox->setToolTip(UIWizardNewVM::tr("<p>When checked selected ISO file will be mounted to the CD "
-                                                                "drive of the virtual machine but the unattended installation "
-                                                                "will not start.</p>"));
+        m_pSkipUnattendedCheckBox->setToolTip(UIWizardNewVM::tr("<p>Disable the unattended install and just mount the ISO.</p>"));
     }
 